
From: Vivek Goyal <vgoyal@in.ibm.com>

This patch fixes a minor bug in kexec.  Changing the data type of flags
makes sure proper control flow of code during crash event.

Signed-off-by: Vivek Goyal <vgoyal@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/kexec.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/kexec.h~kexec-kexec-generic-kexec-use-unsigned-bitfield include/linux/kexec.h
--- 25/include/linux/kexec.h~kexec-kexec-generic-kexec-use-unsigned-bitfield	2005-02-02 18:29:15.685830888 -0800
+++ 25-akpm/include/linux/kexec.h	2005-02-02 18:29:15.688830432 -0800
@@ -79,7 +79,7 @@ struct kimage {
 	unsigned long control_page;
 
 	/* Flags to indicate special processing */
-	int type : 1;
+	unsigned int type : 1;
 #define KEXEC_TYPE_DEFAULT 0
 #define KEXEC_TYPE_CRASH   1
 };
_
